package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaDesignMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaDesign;
import com.goldenwater.slaj.ttsa.service.IBisTtsaDesignService;

@Service
public class BisTtsaDesignServiceImpl implements IBisTtsaDesignService {
    @Autowired
    private BisTtsaDesignMapper bisTtsaDesignMapper;

    @Override
    public BisTtsaDesign selectBisTtsaDesignByGuid(String guid) {
        return bisTtsaDesignMapper.selectBisTtsaDesignByGuid(guid);
    }

    @Override
    public List<BisTtsaDesign> selectBisTtsaDesignList(BisTtsaDesign bisTtsaDesign) {
        return bisTtsaDesignMapper.selectBisTtsaDesignList(bisTtsaDesign);
    }

    @Override
    public int insertBisTtsaDesign(BisTtsaDesign bisTtsaDesign) {
        return bisTtsaDesignMapper.insertBisTtsaDesign(bisTtsaDesign);
    }

    @Override
    public int updateBisTtsaDesign(BisTtsaDesign bisTtsaDesign) {
        return bisTtsaDesignMapper.updateBisTtsaDesign(bisTtsaDesign);
    }

    @Override
    public int deleteBisTtsaDesignByGuid(String guid) {
        return bisTtsaDesignMapper.deleteBisTtsaDesignByGuid(guid);
    }

    @Override
    public int deleteBisTtsaDesignByGuids(String[] guids) {
        return bisTtsaDesignMapper.deleteBisTtsaDesignByGuids(guids);
    }
}
